Package org.linphone.core

# Interface RemoteContactDirectory

public interface RemoteContactDirectory
Object that represents a remote contact directory such as a LDAP or CardDAV
server; used as a `MagicSearch` source.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`RemoteContactDirectory.Type`

## Method Summary

Modifier and Type
Method
Description
`void`
`enable(boolean value)`
Enable this remote contact directory, ie make it usable for searches with the
`MagicSearch` object.
`boolean`
`enabled()`
Returns whether this remote contact directory is enabled, i.e.
`CardDavParams`
`getCardDavRemoteContactDirectory()`
Gets the CardDAV remote contact directory if `getType()` returns CardDAV.
`int`
`getDelay()`
Get the delay between each search in milliseconds.
`LdapParams`
`getLdapRemoteContactDirectory()`
Gets the LDAP remote contact directory if `getType()` returns LDAP.
`int`
`getLimit()`
Gets the maximum number of results to fetch, 0 means no limit.
`int`
`getMinCharacters()`
Gets the minimum number of characters to have before sending the query to the
server.
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`String`
`getServerUrl()`
Gets the configured remote contact directory server URL.
`int`
`getTimeout()`
Gets the timeout (in seconds) after which the query is abandonned.
`RemoteContactDirectory.Type`
`getType()`
Gets the type of remote contact directory (LDAP, CardDAV).
`Object`
`getUserData()`
Gets the object stored in this object user's data
`void`
`setDelay(int milliseconds)`
Set the delay between each search in milliseconds.
`void`
`setLimit(int limit)`
Sets the maximum number of results to fetch, 0 means no limit.
`void`
`setMinCharacters(int min)`
Sets the minimum number of characters to have before sending the query to the
server.
`void`
`setServerUrl(String serverUrl)`
Sets the server URL to use to reach the remote contact directory server.
`void`
`setTimeout(int seconds)`
Sets the timeout (in seconds) after which the query is abandonned.
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`String`
`toString()`

## Method Details

### getCardDavRemoteContactDirectory

CardDavParams getCardDavRemoteContactDirectory()
Gets the CardDAV remote contact directory if `getType()` returns CardDAV.

Returns:
  the `CardDavParams` or null if not of CardDAV type.

### getDelay

int getDelay()
Get the delay between each search in milliseconds.
Only available for `RemoteContactDirectory.Type.Ldap`

Returns:
  The delay in milliseconds.

### setDelay

void setDelay(int milliseconds)
Set the delay between each search in milliseconds.
Only available for `RemoteContactDirectory.Type.Ldap` Default value : 500.

Parameters:
  `milliseconds` - The timeout in milliseconds.

### getLdapRemoteContactDirectory

LdapParams getLdapRemoteContactDirectory()
Gets the LDAP remote contact directory if `getType()` returns LDAP.

Returns:
  the `LdapParams` or null if not of LDAP type.

### getLimit

int getLimit()
Gets the maximum number of results to fetch, 0 means no limit.

Returns:
  the maximum number of results, 0 means no limit.

### setLimit

void setLimit(int limit)
Sets the maximum number of results to fetch, 0 means no limit.

Parameters:
  `limit` - the maximum number of results to return.

### getMinCharacters

int getMinCharacters()
Gets the minimum number of characters to have before sending the query to the
server.

Returns:
  The mininum number of characters to have before sending the query.

### setMinCharacters

void setMinCharacters(int min)
Sets the minimum number of characters to have before sending the query to the
server.

Parameters:
  `min` - the minimum characters to have in user input filter before sending
  the query.

### getServerUrl

String getServerUrl()
Gets the configured remote contact directory server URL.

Returns:
  the remote contact directory server URL.

### setServerUrl

void setServerUrl(String serverUrl)
Sets the server URL to use to reach the remote contact directory server.

Parameters:
  `serverUrl` - the remote contact directory server URL.

### getTimeout

int getTimeout()
Gets the timeout (in seconds) after which the query is abandonned.

Returns:
  The timeout (in seconds) after which the query is considered to be
  timed-out.

### setTimeout

void setTimeout(int seconds)
Sets the timeout (in seconds) after which the query is abandonned.

Parameters:
  `seconds` - the number of seconds before considering the query as timed-out.

### getType

RemoteContactDirectory.Type getType()
Gets the type of remote contact directory (LDAP, CardDAV).

Returns:
  the `RemoteContactDirectory.Type` of this remote contact directory.

### enable

void enable(boolean value)
Enable this remote contact directory, ie make it usable for searches with the
`MagicSearch` object.

Parameters:
  `value` - A boolean.

### enabled

boolean enabled()
Returns whether this remote contact directory is enabled, i.e.
usable for searches with the `MagicSearch` .

Returns:
  a boolean.

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`